2018-06-25 06:32 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002015FSSCPmultiplayerpublic2012-04-03 16:25
ReporterFUBAR-BDHR 
Assigned ToEchelon9 
PrioritynormalSeveritymajorReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target Version3.6.14Fixed in Version3.6.14 
Summary0002015: Assert: team != -1 in multi_respawn.cpp
DescriptionGet this one periodically on the standalones. Today I tried to figure out why. The mission was a TvT (inv-team05.fs2 available in the multi mission pack) A neutral Shivan cruiser warps in 180 seconds into the mission. I tried tracing back to why it would be getting to the multi_respawn stuff in the first place as it's arriving not respawning. I can only come up with 2 possibilities. First is something went wrong and it should have never got there and should have been handled elsewhere. Second is that the multi_respawn code handles both arrivals and respawns. If it is the second one then this should happen all the time with any arriving ship after mission start that isn't friendly or hostile as multi_ts_get_team_and_slot only fills in team info for ships with at team < MAX_TVT_WINGS which is set at 2. In this case the cruiser was team 2 (neutral) so the team stayed at -1 as it was never changed from the default.

Now if it's the first problem and it should have never got to the multi_respawn code then I have no idea.

Attaching call stack and variables.
Additional Information3.6.11 r5618 I believe (could be newer) but this has been happening for quite awhile.
TagsNo tags attached.
Attached Files
  • txt file icon respawn.txt (18,089 bytes) 2009-10-31 16:06 -
    Assert: team != -1
    File: multi_respawn.cpp
    Line: 339
    
    <no module>! KiFastSystemCallRet
    <no module>! WaitForSingleObject + 18 bytes
    <no module>! SCP_DumpStack + 260 bytes
    <no module>! WinAssert + 208 bytes
    <no module>! multi_respawn_common_stuff + 176 bytes
    <no module>! multi_respawn_ai + 39 bytes
    <no module>! multi_respawn_check_ai + 207 bytes
    <no module>! multi_do_frame + 652 bytes
    <no module>! game_do_networking + 120 bytes
    <no module>! game_do_state_common + 144 bytes
    <no module>! game_do_state + 51 bytes
    <no module>! gameseq_process_events + 237 bytes
    <no module>! game_main + 728 bytes
    <no module>! WinMain + 330 bytes
    <no module>! __tmainCRTStartup + 358 bytes
    <no module>! WinMainCRTStartup + 15 bytes
    <no module>! RegisterWaitForInputIdle + 73 bytes
    
    
     	fs2_open_3_6_11d.exe!debug_int3(char * file=0x00dddc3c, int line=897)  Line 760	C++
     	fs2_open_3_6_11d.exe!WinAssert(char * text=0x00ddc9d4, char * filename=0x00e2e419, int linenum=339)  Line 897 + 0x13 bytes	C++
    >	fs2_open_3_6_11d.exe!multi_respawn_common_stuff(p_object * pobjp=0x03d10300)  Line 339 + 0x1e bytes	C++
     	fs2_open_3_6_11d.exe!multi_respawn_ai(p_object * pobjp=0x03d10300)  Line 491 + 0x9 bytes	C++
     	fs2_open_3_6_11d.exe!multi_respawn_check_ai()  Line 757 + 0x10 bytes	C++
     	fs2_open_3_6_11d.exe!multi_do_frame()  Line 1219	C++
     	fs2_open_3_6_11d.exe!game_do_networking()  Line 1187	C++
     	fs2_open_3_6_11d.exe!game_do_state_common(int state=2, int no_networking=0)  Line 6812	C++
     	fs2_open_3_6_11d.exe!game_do_state(int state=2)  Line 6825 + 0xb bytes	C++
     	fs2_open_3_6_11d.exe!gameseq_process_events()  Line 405 + 0x14 bytes	C++
     	fs2_open_3_6_11d.exe!game_main(char * cmdline=0x00152326)  Line 7446 + 0x5 bytes	C++
     	fs2_open_3_6_11d.exe!WinMain(HINSTANCE__ * hInst=0x00400000, HINSTANCE__ * hPrev=0x00000000, char * szCmdLine=0x00152326, int nCmdShow=10)  Line 7522 + 0x9 bytes	C++
     	fs2_open_3_6_11d.exe!__tmainCRTStartup()  Line 263 + 0x2c bytes	C
     	fs2_open_3_6_11d.exe!WinMainCRTStartup()  Line 182	C
     	kernel32.dll!7c817077() 	
     	[Frames below may be incorrect and/or missing, no symbols loaded for kernel32.dll]	
     	fs2_open_3_6_11d.exe!game_get_cd_used_space(char * path=0x00000000)  Line 8869 + 0xa bytes	C++
    
    
    -		&slot_index	0x0012f284	int *
    			-1	int
    -		&team	0x0012f290	int *
    			-1	int
    -		shipp	0x013ade28 {objnum=16 ai_index=10 ship_info_index=97 ...}	ship *
    		objnum	16	int
    		ai_index	10	int
    		ship_info_index	97	int
    		hotkey	-1	int
    		escort_priority	0	int
    		score	300	int
    		assist_score_pct	0.00000000	float
    		respawn_priority	0	int
    		pre_death_explosion_happened	0	unsigned char
    		wash_killed	0	unsigned char
    		cargo1	0	char
    		wing_status_wing_index	-1 ''	char
    		wing_status_wing_pos	-1 ''	char
    		alt_type_index	-1 ''	char
    		callsign_index	-1 ''	char
    		targeting_laser_bank	-1 ''	char
    		num_corkscrew_to_fire	0	unsigned char
    		targeting_laser_objnum	-1	int
    		next_corkscrew_fire	1	int
    		final_death_time	0	int
    		death_time	-1	int
    		end_death_time	0	int
    		really_final_death_time	0	int
    +		deathroll_rotvel	{xyz={...} a1d=0x013ade6c }	vec3d
    +		warpin_effect	0x0694aa68 {portal_objp=0x00000000 total_time_start=1796252 total_time_end=4158 ...}	WarpEffect *
    +		warpout_effect	0x0694aae8 {portal_objp=0x00000000 total_time_start=-842150451 total_time_end=-842150451 ...}	WarpEffect *
    		next_fireball	0	int
    		next_hit_spark	0	int
    		num_hits	0	int
    +		sparks	0x013ade8c {pos={...} submodel_num=-1 end_time=0 }	ship_spark [8]
    		special_exp_index	-1	int
    		special_hitpoint_index	-1	int
    		ship_max_shield_strength	0.00000000	float
    		ship_max_hull_strength	40000.000	float
    		ship_guardian_threshold	0	int
    +		ship_name	0x013adf40 "Shivan Cruiser 1"	char [32]
    		team	2	int
    		time_cargo_revealed	0	long
    		arrival_location	0	int
    		arrival_distance	0	int
    		arrival_anchor	-1	int
    		arrival_path_mask	0	int
    		arrival_cue	38	int
    		arrival_delay	0	int
    		departure_location	0	int
    		departure_anchor	-1	int
    		departure_path_mask	0	int
    		departure_cue	0	int
    		departure_delay	0	int
    		wingnum	-1	int
    		orders_accepted	0	int
    +		subsys_list	{next=0x04039ce8 prev=0x0404b490 system_info=0x00000000 ...}	ship_subsys
    +		last_targeted_subobject	0x013aee54	ship_subsys * [12]
    +		subsys_info	0x013aee84 {num=0 total_hits=0.00000000 current_hits=0.00000000 }	ship_subsys_info [12]
    +		shield_integrity	0x00000000	float *
    		shield_recharge_index	4	int
    		weapon_recharge_index	4	int
    		engine_recharge_index	4	int
    		weapon_energy	100.00000	float
    		current_max_speed	20.000000	float
    		next_manage_ets	1796752	int
    		flags	83886084	unsigned int
    		flags2	0	unsigned int
    		reinforcement_index	-1	int
    		afterburner_fuel	0.00000000	float
    		cmeasure_count	0	int
    		current_cmeasure	80	int
    		cmeasure_fire_stamp	1	int
    		target_shields_delta	0.00000000	float
    		target_weapon_energy_delta	0.00000000	float
    +		weapons	{num_primary_banks=0 num_secondary_banks=0 num_tertiary_banks=0 ...}	ship_weapon
    		shield_hits	0	int
    		wash_intensity	0.00000000	float
    +		wash_rot_axis	{xyz={...} a1d=0x013af0bc }	vec3d
    		wash_timestamp	1	int
    		num_swarm_missiles_to_fire	0	int
    		next_swarm_fire	1	int
    		next_swarm_path	30	int
    		num_turret_swarm_info	0	int
    		group	0	int
    		death_roll_snd	-1	int
    		ship_list_index	10	int
    		thruster_bitmap	-1	int
    		thruster_frame	0.00000000	float
    		thruster_glow_bitmap	-1	int
    		thruster_glow_frame	0.00000000	float
    		thruster_glow_noise	1.0000000	float
    		thruster_secondary_glow_bitmap	-1	int
    		thruster_tertiary_glow_bitmap	-1	int
    		next_engine_stutter	1	int
    		base_texture_anim_frametime	853776315	long
    		total_damage_received	0.00000000	float
    +		damage_ship	0x013af110	float [32]
    +		damage_ship_id	0x013af190	int [32]
    		persona_index	-1	int
    		subsys_disrupted_flags	0	int
    		subsys_disrupted_check_timestamp	1	int
    		create_time	275214047	unsigned int
    		ts_index	-1	int
    		large_ship_blowup_index	-1	int
    +		sub_expl_sound_handle	0x013af228	int [2]
    +		arc_pts	0x013af230	vec3d [2][2]
    +		arc_timestamp	0x013af260	int [2]
    +		arc_type	0x013af268 ""	unsigned char [2]
    		arc_next_time	0	int
    		emp_intensity	-1.0000000	float
    		emp_decr	0.00000000	float
    +		trail_ptr	0x013af278	trail * [12]
    		tag_total	0.00000000	float
    		tag_left	-1.0000000	float
    		time_first_tagged	0	long
    		level2_tag_total	0.00000000	float
    		level2_tag_left	-1.0000000	float
    +		np_updates	0x013af2bc {seq=0 update_stamp=-1 status_update_stamp=-1 ...}	np_update [12]
    		lightning_stamp	-1	int
    		awacs_warning_flag	1 ''	unsigned char
    		special_warp_objnum	-1	int
    +		fighter_beam_turret_data	{next=0x00000000 prev=0x00000000 system_info=0x00000000 ...}	ship_subsys
    +		beam_sys_info	{flags=0 name=0x013b0274 "" subobj_name=0x013b0294 "" ...}	model_subsystem
    +		was_firing_last_frame	0x013b0510	int [3]
    		primitive_sensor_range	10000	int
    +		ship_replacement_textures	0x00000000	int *
    		current_viewpoint	0	int
    +		ABtrail_ptr	0x013b0528	trail * [12]
    +		ab_info	0x013b0558 {pt={...} w_start=2.5897918 w_end=0.050000001 ...}	trail_info [12]
    		ab_count	0	int
    +		glow_point_bank_active	{...}	SCP_vector<bool>
    +		texture_translation_key	{xyz={...} a1d=0x013b0910 }	vec3d
    +		current_translation	{xyz={...} a1d=0x013b091c }	vec3d
    		cloak_stage	0	int
    		time_until_full_cloak	1	long
    		cloak_alpha	255	int
    		time_until_uncloak	0	long
    +		ship_decal_system	{decals=0x00000000 n_decal_textures=0 decals_modified=false ...}	decal_system
    +		last_fired_point	0x013b0948	int [3]
    		bay_doors_anim_done_time	0	int
    		bay_doors_status	0	unsigned char
    		bay_doors_wanting_open	0	int
    		bay_doors_launched_from	0	unsigned char
    		bay_doors_need_open	false	bool
    		bay_doors_parent_shipnum	-1	int
    +		secondary_point_reload_pct	0x013b0968	float [4][25]
    +		reload_time	0x013b0af8	float [4]
    +		primary_rotate_rate	0x013b0b08	float [3]
    +		primary_rotate_ang	0x013b0b14	float [3]
    +		thrusters_start	0x013b0b20	int [128]
    +		thrusters_sounds	0x013b0d20	int [128]
    +		s_alt_classes	{...}	SCP_vector<alt_class>
    +		ship_iff_color	0x013b0f38	int [10][10]
    		ammo_low_complaint_count	0	int
    -		shipp->ship_name	0x013adf40 "Shivan Cruiser 1"	char [32]
    		[0]	83 'S'	char
    		[1]	104 'h'	char
    		[2]	105 'i'	char
    		[3]	118 'v'	char
    		[4]	97 'a'	char
    		[5]	110 'n'	char
    		[6]	32 ' '	char
    		[7]	67 'C'	char
    		[8]	114 'r'	char
    		[9]	117 'u'	char
    		[10]	105 'i'	char
    		[11]	115 's'	char
    		[12]	101 'e'	char
    		[13]	114 'r'	char
    		[14]	32 ' '	char
    		[15]	49 '1'	char
    		[16]	0	char
    		[17]	32 ' '	char
    		[18]	73 'I'	char
    		[19]	73 'I'	char
    		[20]	32 ' '	char
    		[21]	49 '1'	char
    		[22]	48 '0'	char
    		[23]	0	char
    		[24]	0	char
    		[25]	0	char
    		[26]	0	char
    		[27]	0	char
    		[28]	0	char
    		[29]	0	char
    		[30]	0	char
    		[31]	0	char
    		team	-1	int
    
    
    -		pobjp	0x03d10300 {name=0x03d10300 "Shivan Cruiser 1" next=0x03d18358 prev=0x03d082a8 ...}	p_object *
    +		name	0x03d10300 "Shivan Cruiser 1"	char [32]
    +		next	0x03d18358 {name=0x03d18358 "Shivan Cruiser 2" next=0x03d203b0 prev=0x03d10300 ...}	p_object *
    +		prev	0x03d082a8 {name=0x03d082a8 "Alpha 4" next=0x03d10300 prev=0x03d00250 ...}	p_object *
    +		pos	{xyz={...} a1d=0x03d10328 }	vec3d
    +		orient	{vec={...} a2d=0x03d10334 a1d=0x03d10334 }	matrix
    		ship_class	97	int
    		team	2	int
    		behavior	9	int
    		ai_goals	-1	int
    		cargo1	0	char
    		status_count	0	int
    +		status_type	0x03d10370	int [10]
    +		status	0x03d10398	int [10]
    +		target	0x03d103c0	int [10]
    		subsys_index	8	int
    		subsys_count	15	int
    		initial_velocity	0	int
    		initial_hull	100	int
    		initial_shields	100	int
    		arrival_location	0	int
    		arrival_distance	0	int
    		arrival_anchor	-1	int
    		arrival_path_mask	0	int
    		arrival_cue	38	int
    		arrival_delay	0	int
    		departure_location	0	int
    		departure_anchor	-1	int
    		departure_path_mask	0	int
    		departure_cue	0	int
    		departure_delay	0	int
    +		misc	0x03d10428 "0"	char [32]
    		wingnum	-1	int
    		pos_in_wing	-1	int
    		flags	67108912	int
    		flags2	0	int
    		escort_priority	0	int
    		ai_class	2	int
    		hotkey	-1	int
    		score	300	int
    		assist_score_pct	0.00000000	float
    		orders_accepted	0	int
    +		dock_list	0x00000000 {next=??? dockpoint_used=0x00000004 <Bad Ptr> docked_objp=??? }	p_dock_instance *
    +		created_object	0x00f6e850 {next=0x00f6ea80 prev=0x00f6c320 signature=17 ...}	object *
    		group	0	int
    		persona_index	-1	int
    		kamikaze_damage	-1.0737418e+008	float
    		special_exp_index	-1	int
    		special_hitpoint_index	-1	int
    		net_signature	9	unsigned short
    		destroy_before_mission_time	-1	int
    		wing_status_wing_index	-1 ''	char
    		wing_status_wing_pos	-1 ''	char
    		respawn_count	0	unsigned int
    		respawn_priority	0	int
    		alt_type_index	-1 ''	char
    		callsign_index	-1 ''	char
    		ship_max_hull_strength	40000.000	float
    		ship_max_shield_strength	0.00000000	float
    		num_texture_replacements	0	int
    +		replacement_textures	0x03d104b0 {ship_name=0x03d104b0 "" old_texture=0x03d104d0 "" new_texture=0x03d104f0 "" ...}	texture_replace [320]
    +		alt_classes	{...}	SCP_vector<alt_class>
    +		alt_iff_color	0x03d181c8	int [10][10]
    		team	-1	int
    -		objp	0x00f6e850 {next=0x00f6ea80 prev=0x00f6c320 signature=17 ...}	object *
    +		next	0x00f6ea80 {next=0x00f6c320 prev=0x00f6e850 signature=18 ...}	object *
    +		prev	0x00f6c320 struct object obj_create_list {next=0x00f6e850 prev=0x00f6ea80 signature=0 ...}	object *
    		signature	17	int
    		type	1 ''	char
    		parent	-1	int
    		parent_sig	17	int
    		parent_type	1 ''	char
    		instance	10	int
    		flags	2183	unsigned int
    +		pos	{xyz={...} a1d=0x00f6e874 }	vec3d
    +		orient	{vec={...} a2d=0x00f6e880 a1d=0x00f6e880 }	matrix
    		radius	179.68623	float
    +		last_pos	{xyz={...} a1d=0x00f6e8a8 }	vec3d
    +		last_orient	{vec={...} a2d=0x00f6e8b4 a1d=0x00f6e8b4 }	matrix
    +		phys_info	{flags=2 mass=28513.854 center_of_mass={...} ...}	physics_info
    +		shield_quadrant	0x00f6ea14	float [4]
    		hull_strength	40000.000	float
    		sim_hull_strength	0.00000000	float
    +		objsnd_num	0x00f6ea2c	short [32]
    		net_signature	9	unsigned short
    		num_pairs	0	int
    +		jnp	0x00000000 {m_name=0x0000000c <Bad Ptr> m_modelnum=??? m_objnum=??? ...}	jump_node *
    +		dock_list	0x00000000 {next=??? dockpoint_used=??? docked_objp=??? }	dock_instance *
    +		dead_dock_list	0x00000000 {next=??? dockpoint_used=??? docked_objp=??? }	dock_instance *
    		slot_index	-1	int
    		objnum	16	int
    		idx	-858993460	int
    -		shipp	0x013ade28 {objnum=16 ai_index=10 ship_info_index=97 ...}	ship *
    		objnum	16	int
    		ai_index	10	int
    		ship_info_index	97	int
    		hotkey	-1	int
    		escort_priority	0	int
    		score	300	int
    		assist_score_pct	0.00000000	float
    		respawn_priority	0	int
    		pre_death_explosion_happened	0	unsigned char
    		wash_killed	0	unsigned char
    		cargo1	0	char
    		wing_status_wing_index	-1 ''	char
    		wing_status_wing_pos	-1 ''	char
    		alt_type_index	-1 ''	char
    		callsign_index	-1 ''	char
    		targeting_laser_bank	-1 ''	char
    		num_corkscrew_to_fire	0	unsigned char
    		targeting_laser_objnum	-1	int
    		next_corkscrew_fire	1	int
    		final_death_time	0	int
    		death_time	-1	int
    		end_death_time	0	int
    		really_final_death_time	0	int
    +		deathroll_rotvel	{xyz={...} a1d=0x013ade6c }	vec3d
    +		warpin_effect	0x0694aa68 {portal_objp=0x00000000 total_time_start=1796252 total_time_end=4158 ...}	WarpEffect *
    +		warpout_effect	0x0694aae8 {portal_objp=0x00000000 total_time_start=-842150451 total_time_end=-842150451 ...}	WarpEffect *
    		next_fireball	0	int
    		next_hit_spark	0	int
    		num_hits	0	int
    +		sparks	0x013ade8c {pos={...} submodel_num=-1 end_time=0 }	ship_spark [8]
    		special_exp_index	-1	int
    		special_hitpoint_index	-1	int
    		ship_max_shield_strength	0.00000000	float
    		ship_max_hull_strength	40000.000	float
    		ship_guardian_threshold	0	int
    +		ship_name	0x013adf40 "Shivan Cruiser 1"	char [32]
    		team	2	int
    		time_cargo_revealed	0	long
    		arrival_location	0	int
    		arrival_distance	0	int
    		arrival_anchor	-1	int
    		arrival_path_mask	0	int
    		arrival_cue	38	int
    		arrival_delay	0	int
    		departure_location	0	int
    		departure_anchor	-1	int
    		departure_path_mask	0	int
    		departure_cue	0	int
    		departure_delay	0	int
    		wingnum	-1	int
    		orders_accepted	0	int
    +		subsys_list	{next=0x04039ce8 prev=0x0404b490 system_info=0x00000000 ...}	ship_subsys
    +		last_targeted_subobject	0x013aee54	ship_subsys * [12]
    +		subsys_info	0x013aee84 {num=0 total_hits=0.00000000 current_hits=0.00000000 }	ship_subsys_info [12]
    +		shield_integrity	0x00000000	float *
    		shield_recharge_index	4	int
    		weapon_recharge_index	4	int
    		engine_recharge_index	4	int
    		weapon_energy	100.00000	float
    		current_max_speed	20.000000	float
    		next_manage_ets	1796752	int
    		flags	83886084	unsigned int
    		flags2	0	unsigned int
    		reinforcement_index	-1	int
    		afterburner_fuel	0.00000000	float
    		cmeasure_count	0	int
    		current_cmeasure	80	int
    		cmeasure_fire_stamp	1	int
    		target_shields_delta	0.00000000	float
    		target_weapon_energy_delta	0.00000000	float
    +		weapons	{num_primary_banks=0 num_secondary_banks=0 num_tertiary_banks=0 ...}	ship_weapon
    		shield_hits	0	int
    		wash_intensity	0.00000000	float
    +		wash_rot_axis	{xyz={...} a1d=0x013af0bc }	vec3d
    		wash_timestamp	1	int
    		num_swarm_missiles_to_fire	0	int
    		next_swarm_fire	1	int
    		next_swarm_path	30	int
    		num_turret_swarm_info	0	int
    		group	0	int
    		death_roll_snd	-1	int
    		ship_list_index	10	int
    		thruster_bitmap	-1	int
    		thruster_frame	0.00000000	float
    		thruster_glow_bitmap	-1	int
    		thruster_glow_frame	0.00000000	float
    		thruster_glow_noise	1.0000000	float
    		thruster_secondary_glow_bitmap	-1	int
    		thruster_tertiary_glow_bitmap	-1	int
    		next_engine_stutter	1	int
    		base_texture_anim_frametime	853776315	long
    		total_damage_received	0.00000000	float
    +		damage_ship	0x013af110	float [32]
    +		damage_ship_id	0x013af190	int [32]
    		persona_index	-1	int
    		subsys_disrupted_flags	0	int
    		subsys_disrupted_check_timestamp	1	int
    		create_time	275214047	unsigned int
    		ts_index	-1	int
    		large_ship_blowup_index	-1	int
    +		sub_expl_sound_handle	0x013af228	int [2]
    +		arc_pts	0x013af230	vec3d [2][2]
    +		arc_timestamp	0x013af260	int [2]
    +		arc_type	0x013af268 ""	unsigned char [2]
    		arc_next_time	0	int
    		emp_intensity	-1.0000000	float
    		emp_decr	0.00000000	float
    +		trail_ptr	0x013af278	trail * [12]
    		tag_total	0.00000000	float
    		tag_left	-1.0000000	float
    		time_first_tagged	0	long
    		level2_tag_total	0.00000000	float
    		level2_tag_left	-1.0000000	float
    +		np_updates	0x013af2bc {seq=0 update_stamp=-1 status_update_stamp=-1 ...}	np_update [12]
    		lightning_stamp	-1	int
    		awacs_warning_flag	1 ''	unsigned char
    		special_warp_objnum	-1	int
    +		fighter_beam_turret_data	{next=0x00000000 prev=0x00000000 system_info=0x00000000 ...}	ship_subsys
    +		beam_sys_info	{flags=0 name=0x013b0274 "" subobj_name=0x013b0294 "" ...}	model_subsystem
    +		was_firing_last_frame	0x013b0510	int [3]
    		primitive_sensor_range	10000	int
    +		ship_replacement_textures	0x00000000	int *
    		current_viewpoint	0	int
    +		ABtrail_ptr	0x013b0528	trail * [12]
    +		ab_info	0x013b0558 {pt={...} w_start=2.5897918 w_end=0.050000001 ...}	trail_info [12]
    		ab_count	0	int
    +		glow_point_bank_active	{...}	SCP_vector<bool>
    +		texture_translation_key	{xyz={...} a1d=0x013b0910 }	vec3d
    +		current_translation	{xyz={...} a1d=0x013b091c }	vec3d
    		cloak_stage	0	int
    		time_until_full_cloak	1	long
    		cloak_alpha	255	int
    		time_until_uncloak	0	long
    +		ship_decal_system	{decals=0x00000000 n_decal_textures=0 decals_modified=false ...}	decal_system
    +		last_fired_point	0x013b0948	int [3]
    		bay_doors_anim_done_time	0	int
    		bay_doors_status	0	unsigned char
    		bay_doors_wanting_open	0	int
    		bay_doors_launched_from	0	unsigned char
    		bay_doors_need_open	false	bool
    		bay_doors_parent_shipnum	-1	int
    +		secondary_point_reload_pct	0x013b0968	float [4][25]
    +		reload_time	0x013b0af8	float [4]
    +		primary_rotate_rate	0x013b0b08	float [3]
    +		primary_rotate_ang	0x013b0b14	float [3]
    +		thrusters_start	0x013b0b20	int [128]
    +		thrusters_sounds	0x013b0d20	int [128]
    +		s_alt_classes	{...}	SCP_vector<alt_class>
    +		ship_iff_color	0x013b0f38	int [10][10]
    		ammo_low_complaint_count	0	int
    
    txt file icon respawn.txt (18,089 bytes) 2009-10-31 16:06 +

-Relationships
related to 0001951feedbackEchelon9 Standalone crashes - Ship <ship>does not have subsystem <subsystem> linked into the model file 
+Relationships

-Notes

~0011688

taylor (administrator)

Is this possibly related to 0001894? It may be fixed in SVN if so. Keep an eye on it while running current trunk and see if this is still reproducible.

~0012296

chief1983 (administrator)

Status update? FUBAR, have you seen this during the 3.6.12 RC period?

~0012297

FUBAR-BDHR (developer)

Haven't seen it recently but I don't think many people have been using the standalones.

~0012732

The_E (administrator)

Okay, so this seems to be more of a curiosity than anything else to me.

I added a bit of sanity checking in rev 7276, so the Asserts could, in theory, be downgraded to Warnings or even mprintfs.
+Notes

-Issue History
Date Modified Username Field Change
2009-10-31 16:06 FUBAR-BDHR New Issue
2009-10-31 16:06 FUBAR-BDHR File Added: respawn.txt
2009-11-17 21:18 chief1983 Target Version => 3.6.12 RC1
2010-02-17 01:07 taylor Note Added: 0011688
2010-08-05 16:06 chief1983 Note Added: 0012296
2010-08-05 16:24 FUBAR-BDHR Note Added: 0012297
2011-03-31 12:55 chief1983 Target Version 3.6.12 RC1 => 3.6.14
2011-06-27 18:19 The_E Note Added: 0012732
2012-04-03 09:55 Echelon9 Status new => resolved
2012-04-03 09:55 Echelon9 Fixed in Version => 3.6.14
2012-04-03 09:55 Echelon9 Resolution open => fixed
2012-04-03 09:55 Echelon9 Assigned To => Echelon9
2012-04-03 16:25 Echelon9 Relationship added related to 0001951
+Issue History